For the complete documentation index, see llms.txt. This page is also available as Markdown.

Redirects

Manage HTTP redirect rules programmatically using the Redirects API for your zones.

Create Redirect

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

zone_idstringRequired

The UUID of the zone

Body

Schema for creating a new redirect

source_urlstringRequired

Source URL without schema (e.g., example.com/path)

target_urlstringRequired

Target URL (schema optional, defaults to https)

redirect_typestring · enumOptional

Redirect type enumeration

Possible values:
path_forwarding_modestring · enumOptional

Path forwarding mode enumeration

Possible values:
query_forwardingbooleanOptional

Forward query parameters

Default: false
enable_httpsbooleanOptional

Enable HTTPS for the redirect

Default: false
enforce_httpsbooleanOptional

Force HTTPS (requires enable_https to be true)

Default: false
tagsstring[]Optional

Tags for categorization

Responses
200

Successful Response

application/json

Wrapper model for RedirectResponse with status field

statusbooleanRequiredDefault: true
post/api/v1/automation/{org_uuid}/redirects/zones/{zone_id}

List Zone Redirects

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

zone_idstringRequired

The UUID of the zone

Responses
200

Successful Response

application/json

Response for listing redirects

statusbooleanRequiredDefault: true
get/api/v1/automation/{org_uuid}/redirects/zones/{zone_id}
200

Successful Response

Get Redirect

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

redirect_idstringRequired

The UUID of the redirect

Responses
200

Successful Response

application/json

Wrapper model for RedirectResponse with status field

statusbooleanRequiredDefault: true
get/api/v1/automation/{org_uuid}/redirects/{redirect_id}

Update Redirect

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

redirect_idstringRequired

The UUID of the redirect

Body

Schema for updating an existing redirect

target_urlstringOptional

Target URL

redirect_typestring · enumOptional

Redirect type enumeration

Possible values:
path_forwarding_modestring · enumOptional

Path forwarding mode enumeration

Possible values:
query_forwardingbooleanOptional

Query forwarding enabled

enable_httpsbooleanOptional

Enable HTTPS

enforce_httpsbooleanOptional

Force HTTPS (requires enable_https to be true)

tagsstring[]Optional

Tags for categorization

Responses
200

Successful Response

application/json

Wrapper model for RedirectResponse with status field

statusbooleanRequiredDefault: true
put/api/v1/automation/{org_uuid}/redirects/{redirect_id}

Delete Redirect

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

redirect_idstringRequired

The UUID of the redirect

Responses
200

Successful Response

application/json
statusbooleanOptional
messagestringOptional
delete/api/v1/automation/{org_uuid}/redirects/{redirect_id}

List Organization Redirects

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
org_uuidstringRequired

Organization UUID

Query parameters
skipintegerOptional

Number of records to skip for pagination

Default: 0
limitintegerOptional

Maximum number of records to return

Default: 100
Responses
200

Successful Response

application/json

Response for listing redirects

statusbooleanRequiredDefault: true
get/api/v1/automation/{org_uuid}/redirects
200

Successful Response

Last updated

Was this helpful?